Subject: [netatalk-admins] NFS Quotas

From: "Robert J. Marinchick" <[email-masked]>
Date: Wed, 3 Jun 1998 10:03:25 -0400 (EDT)

Hi Folks,

We're running netatalk.a18 & updates to a18.2 on a 2.6 solaris ipc.

We have the "rquotad" daemon running which allows us to retrieve NFS quota
information. I'm trying to incorporate this in the "unix.c" program, and
have gotten to the point where I can get the information. But, when returning
from my nfs_getquota entry, I hang the process.
 
I tried setting the v_qfd variable in "getquota" to 0 after getting the
information just to prevent the program from looking for the mount point
the second time "getquota" is entered. That's the only variable I set. 
 
Does anyone know how that part of the code works, and if I have to set any  
other variables  to prevent the process from hanging?

The UFS quota retrieval works normally with no problems.

Any info would be greatly appreciated.

R. J. Marinchick			[email-masked]